[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.Columns

The number of visible columns displayed on the control.

## Declaration

Source position: stdctrls.pp line 639

`public property TCustomListBox.Columns : Integer read FColumns write SetColumns default 0;`

## Description

A list box can have multiple columns, as well as multiple rows. When Columns is greater than 0 (zero), it specifies the number of columns that are visible without horizontal scrolling. i. e. the width of a single column becomes Width/Columns. Setting a new value for Columns causes the widgetset class to be notified when a handle has been allocated for the control.

Remark: | The Columns property is not supported for the macOS Carbon, Cocoa, GTK2, QT4, QT5, and QT6 widgetsets.